Orxonox: orxonox::RadarViewable Class Reference

# orxonox::RadarViewable Class Reference

Interface for receiving window events. More...

`#include <src/orxonox/interfaces/RadarViewable.h>`

Inheritance diagram for orxonox::RadarViewable:

List of all members.

## Public Types

enum | Shape { Square, Dot, Triangle }

## Public Member Functions

void | addMapEntity ()
float | getRadarObjectCamouflage () const
const ColourValue & | getRadarObjectColour () const
const std::string & | getRadarObjectDescription () const
Shape | getRadarObjectShape () const
bool | getRadarVisibility () const
Vector3 | getRVOrientedVelocity () const
const Vector3 & | getRVWorldPosition () const
const std::string & | getUniqueId ()
virtual const WorldEntity * | getWorldEntity () const =0
| RadarViewable ()
| Constructor.
void | setRadarObjectCamouflage (float camouflage)
void | setRadarObjectColour (const ColourValue &colour)
void | setRadarObjectDescription (const std::string &str)
void | setRadarObjectShape (Shape shape)
void | setRadarVisibility (bool b)
void | updateMapPosition ()
virtual | ~RadarViewable ()

## Public Attributes

bool | isHumanShip_
Ogre::DynamicLines * | line_
Ogre::SceneNode * | LineNode_
Ogre::Entity * | MapEntity_
Ogre::SceneNode * | MapNode_

## Private Member Functions

void | validate (const WorldEntity *object) const

## Private Attributes

bool | bVisibility_
float | radarObjectCamouflage_
ColourValue | radarObjectColour_
std::string | radarObjectDescription_
Shape | radarObjectShape_
std::string | uniqueId_

## Detailed Description

Interface for receiving window events.

## Member Enumeration Documentation

enum orxonox::RadarViewable::Shape

Enumerator:

  Square |
  Dot |
  Triangle |

## Constructor & Destructor Documentation

orxonox::RadarViewable::RadarViewable | ( |  | ) |

Constructor.

References bVisibility_, orxonox::getUniqueNumberString(), isHumanShip_, RegisterRootObject, and uniqueId_.

orxonox::RadarViewable::~RadarViewable | ( |  | ) | `[virtual]`

References isHumanShip_, line_, LineNode_, MapEntity_, and MapNode_.

## Member Function Documentation

void orxonox::RadarViewable::addMapEntity | ( |  | ) |

References Ogre::DynamicLines::addPoint(), COUT, orxonox::Map::getMapSceneManagerPtr(), orxonox::Map::getSingletonPtr(), line_, LineNode_, MapEntity_, MapNode_, uniqueId_, and orxonox::MT_Type::Vector3.

float orxonox::RadarViewable::getRadarObjectCamouflage | ( |  | ) | const`[inline]`

const ColourValue& orxonox::RadarViewable::getRadarObjectColour | ( |  | ) | const`[inline]`

const std::string& orxonox::RadarViewable::getRadarObjectDescription | ( |  | ) | const`[inline]`

Shape orxonox::RadarViewable::getRadarObjectShape | ( |  | ) | const`[inline]`

Referenced by orxonox::HUDRadar::displayObject().

bool orxonox::RadarViewable::getRadarVisibility | ( |  | ) | const`[inline]`

Vector3 orxonox::RadarViewable::getRVOrientedVelocity | ( |  | ) | const

References getWorldEntity(), and validate().

Referenced by updateMapPosition().

const Vector3 & orxonox::RadarViewable::getRVWorldPosition | ( |  | ) | const

References getWorldEntity(), and validate().

Referenced by orxonox::HUDNavigation::tick(), and updateMapPosition().

const std::string& orxonox::RadarViewable::getUniqueId | ( |  | ) | `[inline]`

virtual const WorldEntity* orxonox::RadarViewable::getWorldEntity | ( |  | ) | const`[pure virtual]`

Implemented in orxonox::Pawn, and orxonox::CheckPoint.

Referenced by getRVOrientedVelocity(), getRVWorldPosition(), and updateMapPosition().

void orxonox::RadarViewable::setRadarObjectCamouflage | ( | float | camouflage | ) | `[inline]`

void orxonox::RadarViewable::setRadarObjectColour | ( | const ColourValue & | colour | ) | `[inline]`

Referenced by orxonox::TeamBaseMatchBase::changeTeamColour(), orxonox::CheckPoint::CheckPoint(), orxonox::Pawn::Pawn(), and orxonox::TeamDeathmatch::playerStartsControllingPawn().

void orxonox::RadarViewable::setRadarObjectDescription | ( | const std::string & | str | ) |

References orxonox::Radar::addObjectDescription(), CCOUT, orxonox::Radar::getInstancePtr(), radarObjectDescription_, and radarObjectShape_.

void orxonox::RadarViewable::setRadarObjectShape | ( | Shape | shape | ) | `[inline]`

Referenced by orxonox::CheckPoint::CheckPoint(), orxonox::Pawn::Pawn(), and orxonox::TeamBaseMatchBase::TeamBaseMatchBase().

void orxonox::RadarViewable::setRadarVisibility | ( | bool | b | ) | `[inline]`

Referenced by orxonox::CheckPoint::changedActivity(), orxonox::CheckPoint::CheckPoint(), and orxonox::CheckPoint::triggered().

void orxonox::RadarViewable::updateMapPosition | ( |  | ) |

References getRVOrientedVelocity(), getRVWorldPosition(), orxonox::Map::getSingletonPtr(), getWorldEntity(), line_, LineNode_, MapNode_, Ogre::DynamicLines::setPoint(), Ogre::DynamicLines::update(), and orxonox::MT_Type::Vector3.

void orxonox::RadarViewable::validate | ( | const WorldEntity * | object | ) | const`[private]`

References COUT.

Referenced by getRVOrientedVelocity(), and getRVWorldPosition().

## Member Data Documentation

bool orxonox::RadarViewable::bVisibility_`[private]`

Referenced by RadarViewable().

bool orxonox::RadarViewable::isHumanShip_

Referenced by orxonox::Pawn::Pawn(), RadarViewable(), orxonox::Pawn::startLocalHumanControl(), and ~RadarViewable().

Ogre::DynamicLines* orxonox::RadarViewable::line_

Referenced by addMapEntity(), updateMapPosition(), and ~RadarViewable().

Ogre::SceneNode* orxonox::RadarViewable::LineNode_

Referenced by addMapEntity(), updateMapPosition(), and ~RadarViewable().

Ogre::Entity* orxonox::RadarViewable::MapEntity_

Referenced by addMapEntity(), and ~RadarViewable().

Ogre::SceneNode* orxonox::RadarViewable::MapNode_

Referenced by addMapEntity(), updateMapPosition(), and ~RadarViewable().

float orxonox::RadarViewable::radarObjectCamouflage_`[private]`

ColourValue orxonox::RadarViewable::radarObjectColour_`[private]`

std::string orxonox::RadarViewable::radarObjectDescription_`[private]`

Referenced by setRadarObjectDescription().

Shape orxonox::RadarViewable::radarObjectShape_`[private]`

Referenced by setRadarObjectDescription().

std::string orxonox::RadarViewable::uniqueId_`[private]`

Referenced by addMapEntity(), and RadarViewable().

The documentation for this class was generated from the following files:

- src/orxonox/interfaces/RadarViewable.h
- src/orxonox/interfaces/RadarViewable.cc